import { OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiEditableContentService } from "../services/sti-editable-content.service";
import { StiHelperService } from "../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiInputTextComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    editableService: StiEditableContentService;
    element: any;
    property: string;
    tabIndex: number;
    get needToFill(): boolean;
    get value(): string;
    set value(val: string);
    constructor(model: StiModelService, helper: StiHelperService, editableService: StiEditableContentService);
    disableDrag(event: any): void;
    borderWidth(): string;
    inFocus(): void;
    lostFocus(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiInputTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiInputTextComponent, "sti-input-text-component", never, { "element": { "alias": "element"; "required": false; }; "property": { "alias": "property"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, never, false, never>;
}
